{% extends "nav.twig" %}

{% block title %}
	Gestion des événements
{% endblock %}

{% block contenu %}
	<a href="{{ app.url_generator.generate('add_evenement') }}">
		<button class="btn btn-default">
			<i class="glyphicon glyphicon-plus"></i> Ajouter un événement
		</button>
	</a>

	<ul class="top_margin">
	{% for event in evenements %}
		<ul class="list-group">
			<li class="list-group-item"> Nom : {{event['nom']}} </li>
			<li class="list-group-item"> Date de début : {{event['date_debut']}} </li>
			<li class="list-group-item"> Date de fin : {{event['date_fin']}} </li>
			<li class="list-group-item"> Enseignant responsable : {{enseignant[event['enseignant']]}} </li>
			<li class="list-group-item"> Groupe : {{groupe[event['groupe']]}} </li>
			<li class="list-group-item"> Durée des soutenances : {{event['dureeSoutenances']}} minutes </li>
			<li class="list-group-item">
				<a href="{{ app.url_generator.generate('detail_evenement', {'id': event['id']}) }}" class="btn btn-primary"> <i class="glyphicon glyphicon-search"></i> Consulter </a>
				<a href="{{ app.url_generator.generate('modif_evenement', {'id': event['id']}) }}" class="btn btn-warning"> <i class="glyphicon glyphicon-pencil"></i> Modifier </a>
				<a href="{{ app.url_generator.generate('suppr_evenement', {'id': event['id']}) }}" class="btn btn-danger"> <i class="glyphicon glyphicon-trash"></i> Supprimer </a>
			</li>
		</ul>
	{% endfor %}
	</ul>
{% endblock %}
